%define _name   streamtuner2

Name:           streamtuner
Version:        2.1.3
Release:        1%{?dist}
Summary:        An internet radio browser
Group:          Applications/Multimedia
License:        Public Domain
URL:            http://sourceforge.net/projects/streamtuner2/
Source0:        http://downloads.sf.net/streamtuner2/streamtuner2-%{version}.src.txz
Requires:       python2
Requires:       python-chardet
Requires:       python-keybinder
Requires:       python-lxml
Requires:       python-pyquery
Requires:       python-requests
Requires:       python-simplejson
Requires:       pygtk2
Requires:       pyxdg
Requires:       audacious
Requires:       perl
Requires:       xterm
# required for youtube record
Requires:       youtube-dl

BuildRequires:  findutils, desktop-file-utils
BuildRequires:  python2-devel
BuildArch:      noarch
Obsoletes:      streamtuner-devel

# Patches
Patch0:         streamtuner2-default-config-desktop-file.patch

%description
Streamtuner lists radio directory services like Shoutcast, Xiph, Live365, 
MyOggRadio, Jamendo. It allows listening via any audio player and recording of
streams via streamripper.
This is streamtuner2 which mimics the older streamtuner 0.99.99 application
in look and feel. But it's an independent rewrite and runs on Python;
is therefore easier to extend.

%prep
%setup -qn %{_name}
# add newline at end of file to make patching easier
echo >> streamtuner2.desktop
%patch0 -p1 -b .default-config-desktop-file

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -Dpm 755 st2.py %{buildroot}/%{_bindir}/%{_name}
%{__install} -Dpm 644 %{_name}.desktop %{buildroot}/%{_datadir}/applications/%{_name}.desktop
%{__install} -Dpm 644 logo.png %{buildroot}/%{_datadir}/pixmaps/%{_name}.png

%{__mkdir} %{buildroot}/%{_datadir}/%{_name}
files=`find . -maxdepth 1 -type f -name "*.py" -or -name "*.png" -or -name "*.xml"`
for f in $files
    do install -pm 644 $f %{buildroot}/%{_datadir}/%{_name}/
done

# Permission correction
%{__chmod} 0755 %{buildroot}/%{_datadir}/%{_name}/st2.py

# Gnome help browser
%{__mkdir} -p %{buildroot}%{_datadir}/doc/%{_name}/help
%{__cp} -rp help %{buildroot}%{_datadir}/doc/%{_name}

# Channels
%{__mkdir} %{buildroot}/%{_datadir}/%{_name}/channels
pushd channels
files=`find . -maxdepth 1 -type f -name "*.py*" -or -name "*.png"`
for f in $files
    do install -pm 644 $f %{buildroot}/%{_datadir}/%{_name}/channels/
done
popd

# Bundle kronos as it doesn't exist in the repo
%{__mkdir} %{buildroot}/%{_datadir}/%{_name}/bundle/
pushd bundle
install -pm 644 kronos.py %{buildroot}/%{_datadir}/%{_name}/bundle/
popd

# Fix encoding issues
for file in README; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

sed -i -e 's/^Value=/Version=/g' %{buildroot}%{_datadir}/applications/%{_name}.desktop

# install man file
install -Dpm 644 help/streamtuner2.1 %{buildroot}%{_mandir}/man1/streamtuner2.1

desktop-file-install                         \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Audio                       \
  --add-category Tuner                       \
  --add-category GTK                         \
  --delete-original                          \
  %{buildroot}%{_datadir}/applications/%{_name}.desktop
  
%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%files
%doc README
%{_bindir}/%{_name}
%{_datadir}/applications/%{_name}.desktop
%{_datadir}/pixmaps/%{_name}.png
%{_datadir}/%{_name}/
%{_datadir}/doc/%{_name}/
%{_mandir}/man1/streamtuner2.1.*

%changelog
* Sun Aug 17 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.1.3-1
- update to 2.1.3
- drop upstream patch
- readd live365 plugin
- drop requires gtk-doc

* Thu Jul 03 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.1.1-8
- add requires youtube-dl (required for youtube record)

* Thu Jul 03 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.1.1-7
- fix issue with totem playing youtube video

* Thu Jul 03 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.1.1-6
- fix myoggradio plugin

* Mon Jun 23 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.1.1-5
- fix logo and menu icon

* Sun Jun 22 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.1.1-4
- remove un-needed python3 lib (python-urllib3)
- add requires python-simplejson
- remove live365 plugin till it's fixed
- preserve file timestamps

* Sat Jun 21 2014 Matthias Haase <matthias_haase@bennewitz.com> - 2.1.1-3
- bump up release
- merge of changes done by Leigh Scott

* Tue Jun 17 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.1.1-2
- add missing python requires
- add bundled kronos python lib
- add man file

* Thu Jun 12 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.1.1-1
- update to 2.1.1

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 12 2010 Matthias Haase <matthias_haase@bennewitz.com> - 2.0.8-7
- bump up release on rawhide

* Fri Nov 12 2010 Matthias Haase <matthias_haase@bennewitz.com> - 2.0.8-6
- bump up release on rawhide

* Thu Nov 11 2010 endur <matthias_haase@bennewitz.com> - 2.0.8-3
- enhanced default-config-desktop-file.patch

* Thu Nov 11 2010 Matthias Haase <matthias_haase@bennewitz.com> - 2.0.8-2
- Many specfile enhancements and corrections
- default-config-desktop-file.patch
- Initial build for Fedora

* Sat Nov 06 2010 Brendan Jones <brendan.jones.it@gmail.com> 2.0.8-1
- initial build 
